Chromium Code Reviews
chromiumcodereview-hr@appspot.gserviceaccount.com (chromiumcodereview-hr) | Please choose your nickname with Settings | Help | Chromium Project | Gerrit Changes | Sign out
(3019)

Unified Diff: bin/sync-and-gyp

Issue 1423463005: bin/deps-and-gyp -> bin/sync-and-gyp (Closed) Base URL: https://skia.googlesource.com/skia.git@master
Patch Set: Created 5 years, 1 month ago
Use n/p to move between diff chunks; N/P to move between comments. Draft comments are only viewable by you.
Jump to:
View side-by-side diff with in-line comments
Download patch
« no previous file with comments | « bin/deps-and-gyp ('k') | no next file » | no next file with comments »
Expand Comments ('e') | Collapse Comments ('c') | Show Comments Hide Comments ('s')
Index: bin/sync-and-gyp
diff --git a/bin/sync-and-gyp b/bin/sync-and-gyp
index 8b3cfa97feedd959a7cfd53a8343281091df5099..c944079938c771e5b85c8b548e768ed4b63c5545 100755
--- a/bin/sync-and-gyp
+++ b/bin/sync-and-gyp
@@ -8,35 +8,33 @@
# This script will update Skia's dependenciess as necessary and run
# gyp if needed.
-# Example usage (assumes Posix-standard shell, git installed):
+# Depends on: Posix-compliant shell, Python, and Git.
+#
+# Example usage:
#
-# git clone https://chromium.googlesource.com/chromium/tools/depot_tools.git
-# export PATH="${PWD}/depot_tools:${PATH}"
# git clone https://skia.googlesource.com/skia
# cd skia
-# bin/sync-and-gyp && ninja -C out/Debug
-# out/Debug/dm
+# bin/sync-and-gyp
+# ninja -C out/Debug && out/Debug/dm
#
-# Once changes are made to DEPS or gyp/ or the source, recompile Skia with:
+# Once changes are made to DEPS or gyp/ or the source, call:
#
-# ${skiadir}/bin/sync-and-gyp && ninja -C ${skiadir}/out/Debug
-
-cd "$(dirname "$0")/.."
+# bin/sync-and-gyp
-if ! [ -f .gclient ] ; then
- gclient config --unmanaged 'https://skia.googlesource.com/skia'
- printf ',s/"skia"/"."/\nwq\n' | ed .gclient
+if [ "$SKIA_OUT" ]; then
+ mkdir -p "$SKIA_OUT" || exit
+ # get non-relative path of $SKIA_OUT before changing directory.
+ SKIA_OUT="$(cd "$SKIA_OUT"; pwd)"
fi
+cd "$(dirname "$0")/.."
+
if ! [ -f DEPS ]; then
echo DEPS file missing >&2
exit 1
fi
-if [ "$(git hash-object DEPS)" != "$(git config sync-deps.last)" ] ; then
- gclient sync || exit
- git config sync-deps.last "$(git hash-object DEPS)"
-fi
+GIT_SYNC_DEPS_QUIET=1 python tools/git-sync-deps || exit
catifexists() { if [ -f "$1" ]; then cat "$1"; fi; }
« no previous file with comments | « bin/deps-and-gyp ('k') | no next file » | no next file with comments »

Powered by Google App Engine
This is Rietveld 408576698